package application;

import domaine.BankAccountProxy;
import domaine.Log;

public class EssaiCompteBancaire {
	public static void main(String[] args) {
		try {
			// Cration et utilisation du CompteBancaire cb1.
			BankAccountProxy cb1 = new BankAccountProxy(123456789);
			System.out.println(cb1);
			cb1.deposit(100);
			System.out.println(cb1);
			cb1.withdraw(80);
			System.out.println(cb1);
			// Cration et utilisation du CompteBancaire cb2.
			BankAccountProxy cb2 = new BankAccountProxy(987654321);
			System.out.println(cb2);
			cb2.withdraw(10);
			System.out.println(cb2);
			// Affichage du journal en console.
			System.out.println(Log.getInstance());
		} catch(Exception e) {
			System.err.println(e.getMessage());
		}
	}

}
